aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.S3.Commands.GetBucket

# Documentation

data GetBucket Source #

Constructors

GetBucket |

Fields

- gbBucket :: Bucket
- gbDelimiter :: Maybe Text
- gbMarker :: Maybe Text
- gbMaxKeys :: Maybe Int
- gbPrefix :: Maybe Text

#### Instances

Instances details

SignQuery GetBucket Source # | ServiceConfiguration: `S3Configuration`

Instance details

Defined in Aws.S3.Commands.GetBucket

Associated Types

type ServiceConfiguration GetBucket |
Instance details Defined in Aws.S3.Commands.GetBucket type ServiceConfiguration GetBucket = S3Configuration

Methods

signQuery :: GetBucket -> ServiceConfiguration GetBucket queryType -> SignatureData -> SignedQuery Source #

Show GetBucket Source # |
Instance details Defined in Aws.S3.Commands.GetBucket Methods showsPrec :: Int -> GetBucket -> ShowS Source # show :: GetBucket -> String Source # showList :: [GetBucket] -> ShowS Source #
IteratedTransaction GetBucket GetBucketResponse Source # |
Instance details Defined in Aws.S3.Commands.GetBucket Methods nextIteratedRequest :: GetBucket -> GetBucketResponse -> Maybe GetBucket Source #
Transaction GetBucket GetBucketResponse Source # |
Instance details Defined in Aws.S3.Commands.GetBucket
type ServiceConfiguration GetBucket Source # |
Instance details Defined in Aws.S3.Commands.GetBucket type ServiceConfiguration GetBucket = S3Configuration

getBucket :: Bucket -> GetBucket Source #

data GetBucketResponse Source #

Constructors

GetBucketResponse |

Fields

- gbrName :: Bucket
- gbrDelimiter :: Maybe Text
- gbrMarker :: Maybe Text
- gbrMaxKeys :: Maybe Int
- gbrPrefix :: Maybe Text
- gbrContents :: [ObjectInfo]
- gbrCommonPrefixes :: [Text]
- gbrIsTruncated :: Bool
- gbrNextMarker :: Maybe Text

#### Instances

Instances details

AsMemoryResponse GetBucketResponse Source # |

Instance details

Defined in Aws.S3.Commands.GetBucket

Associated Types

type MemoryResponse GetBucketResponse |
Instance details Defined in Aws.S3.Commands.GetBucket type MemoryResponse GetBucketResponse = GetBucketResponse

Methods

loadToMemory :: GetBucketResponse -> ResourceT IO (MemoryResponse GetBucketResponse) Source #

Show GetBucketResponse Source # |
Instance details Defined in Aws.S3.Commands.GetBucket Methods showsPrec :: Int -> GetBucketResponse -> ShowS Source # show :: GetBucketResponse -> String Source # showList :: [GetBucketResponse] -> ShowS Source #
IteratedTransaction GetBucket GetBucketResponse Source # |
Instance details Defined in Aws.S3.Commands.GetBucket Methods nextIteratedRequest :: GetBucket -> GetBucketResponse -> Maybe GetBucket Source #
ListResponse GetBucketResponse ObjectInfo Source # |
Instance details Defined in Aws.S3.Commands.GetBucket Methods listResponse :: GetBucketResponse -> [ObjectInfo] Source #
ResponseConsumer r GetBucketResponse Source # |

Instance details

Defined in Aws.S3.Commands.GetBucket

Associated Types

type ResponseMetadata GetBucketResponse |
Instance details Defined in Aws.S3.Commands.GetBucket type ResponseMetadata GetBucketResponse = S3Metadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata GetBucketResponse) -> HTTPResponseConsumer GetBucketResponse Source #

Transaction GetBucket GetBucketResponse Source # |
Instance details Defined in Aws.S3.Commands.GetBucket
type MemoryResponse GetBucketResponse Source # |
Instance details Defined in Aws.S3.Commands.GetBucket type MemoryResponse GetBucketResponse = GetBucketResponse
type ResponseMetadata GetBucketResponse Source # |
Instance details Defined in Aws.S3.Commands.GetBucket type ResponseMetadata GetBucketResponse = S3Metadata